OpenShot Audio Library | OpenShotAudio: juce::AndroidDocumentPermission Class Reference

OpenShot Audio Library | OpenShotAudio 0.4.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
juce::AndroidDocumentPermission Class Reference

`#include <juce_AndroidDocument.h>`

## Public Member Functions
URL | getUrl () const
int64 | getPersistedTime () const
bool | isReadPermission () const
bool | isWritePermission () const

## Static Public Member Functions
static void | takePersistentReadWriteAccess (const URL &)
static void | releasePersistentReadWriteAccess (const URL &)
static std::vector< AndroidDocumentPermission > | getPersistedPermissions ()

## Detailed Description

Represents a permission granted to an application to read and/or write to a particular document or tree.

This class also contains static methods to request, revoke, and query the permissions of your app. These functions are no-ops on all platforms other than Android.

Definition at line 169 of file juce_AndroidDocument.h.

## Member Function Documentation

## ◆ getPersistedPermissions()

static std::vector< AndroidDocumentPermission > juce::AndroidDocumentPermission::getPersistedPermissions | ( |  | ) |
| static

Returns all of the permissions that have previously been granted to the app, via takePersistentReadWriteAccess();

## ◆ getPersistedTime()

int64 juce::AndroidDocumentPermission::getPersistedTime | ( |  | ) | const
| inline

The time when the permissions were persisted, in milliseconds since January 1, 1970 00:00:00.0 UTC.

Definition at line 176 of file juce_AndroidDocument.h.

## ◆ getUrl()

URL juce::AndroidDocumentPermission::getUrl | ( |  | ) | const
| inline

The url of the document with persisted permissions.

Definition at line 173 of file juce_AndroidDocument.h.

## ◆ isReadPermission()

bool juce::AndroidDocumentPermission::isReadPermission | ( |  | ) | const
| inline

True if the permission allows read access.

Definition at line 179 of file juce_AndroidDocument.h.

## ◆ isWritePermission()

bool juce::AndroidDocumentPermission::isWritePermission | ( |  | ) | const
| inline

True if the permission allows write access.

Definition at line 182 of file juce_AndroidDocument.h.

## ◆ releasePersistentReadWriteAccess()

static void juce::AndroidDocumentPermission::releasePersistentReadWriteAccess | ( | const URL & |  | ) |
| static

Revokes persistent access to a document or tree.

## ◆ takePersistentReadWriteAccess()

static void juce::AndroidDocumentPermission::takePersistentReadWriteAccess | ( | const URL & |  | ) |
| static

Gives your app access to a particular document or tree, even after the device is rebooted.

If you want to persist access to a folder selected through a native file chooser, make sure to pass the exact URL returned by the file picker. Do NOT call AndroidDocument::fromTree and then pass the result of getUrl to this function, as the resulting URL may differ from the result of the file picker.

The documentation for this class was generated from the following file:

- juce_AndroidDocument.h